hyphenate.verbatim
Prev | Miscellaneous | Next

## hyphenate.verbatim

hyphenate.verbatim — Should verbatim environments be hyphenated on space characters?

## Synopsis

    <xsl:param name="hyphenate.verbatim" select="0"></xsl:param>

## Description

If the lines of program listing are too long to fit into one line it is quite common to split them at space and indicite by hook arrow that code continues on the next line. You can turn on this behaviour for `programlisting`, `screen` and `synopsis` elements by using this parameter.

Note that you must also enable line wrapping for verbatim environments and select appropriate hyphenation character (e.g. hook arrow). This can be done using `monospace.verbatim.properties` attribute set:

    <xsl:attribute-set name="monospace.verbatim.properties"
                       use-attribute-sets="verbatim.properties monospace.properties">
      <xsl:attribute name="wrap-option">wrap</xsl:attribute>
      <xsl:attribute name="hyphenation-character">&#x25BA;</xsl:attribute>
    </xsl:attribute-set>

For a list of arrows available in Unicode see `http://www.unicode.org/charts/PDF/U2190.pdf` and `http://www.unicode.org/charts/PDF/U2900.pdf` and make sure that selected character is available in the font you are using for verbatim environments.

Prev | Up | Next
shade.verbatim.style | Home | hyphenate.verbatim.characters